stan::is_constant_struct< T > Struct Template Reference

Metaprogram to determine if a type has a base scalar type that can be assigned to type double. More...

`#include <is_constant_struct.hpp>`

## Public Types

enum | { value = is_constant<T>::value }

## Detailed Description

### template<typename T>
struct stan::is_constant_struct< T >

Metaprogram to determine if a type has a base scalar type that can be assigned to type double.

Definition at line 13 of file is_constant_struct.hpp.

## Member Enumeration Documentation

## anonymous enum

template<typename T>

anonymous enum

Enumerator
value |

Definition at line 14 of file is_constant_struct.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/scal/meta/is_constant_struct.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.